>From e087b5720b23834b6341ac02fdd5d1649a0ae60b Mon Sep 17 00:00:00 2001
From: KO Myung-Hun <komh@chollian.net>
Date: Sun, 13 Nov 2011 21:27:18 +0900
Subject: [PATCH 12/12] Add UI for KVA

---
 modules/gui/qt4/components/simple_preferences.cpp |    7 ++++
 modules/gui/qt4/ui/sprefs_video.ui                |   37 +++++++++++++++++++++
 2 files changed, 44 insertions(+), 0 deletions(-)

diff --git a/modules/gui/qt4/components/simple_preferences.cpp b/modules/gui/qt4/components/simple_preferences.cpp
index 6a15dc2..a99eae1 100644
--- a/modules/gui/qt4/components/simple_preferences.cpp
+++ b/modules/gui/qt4/components/simple_preferences.cpp
@@ -233,6 +233,13 @@ SPrefsPanel::SPrefsPanel( intf_thread_t *_p_intf, QWidget *_parent,
             ui.hwYUVBox->setVisible( false );
 #endif
 
+#ifdef __OS2__
+            CONFIG_BOOL( "kva-fixt23", kvaFixT23 );
+            CONFIG_GENERIC( "kva-video-mode", StringList, ui.kvaVideoModeLabel,
+                            kvaVideoMode );
+#else
+            ui.kvaBox->setVisible( false );
+#endif
 
             CONFIG_GENERIC( "deinterlace", IntegerList, ui.deinterLabel, deinterlaceBox );
             CONFIG_GENERIC( "deinterlace-mode", StringList, ui.deinterModeLabel, deinterlaceModeBox );
diff --git a/modules/gui/qt4/ui/sprefs_video.ui b/modules/gui/qt4/ui/sprefs_video.ui
index 764b94f..c231a56 100644
--- a/modules/gui/qt4/ui/sprefs_video.ui
+++ b/modules/gui/qt4/ui/sprefs_video.ui
@@ -134,6 +134,41 @@
     </widget>
    </item>
    <item>
+    <widget class="QGroupBox" name="kvaBox" >
+     <property name="title" >
+      <string>KVA</string>
+     </property>
+     <layout class="QGridLayout" >
+      <property name="margin" >
+       <number>9</number>
+      </property>
+      <property name="spacing" >
+       <number>6</number>
+      </property>
+      <item row="1" column="1" colspan="2" >
+       <widget class="QComboBox" name="kvaVideoMode" />
+      </item>
+      <item row="1" column="0" >
+       <widget class="QLabel" name="kvaVideoModeLabel" >
+        <property name="text" >
+         <string>Video mode</string>
+        </property>
+        <property name="buddy" >
+         <cstring>kvaVideoMode</cstring>
+        </property>
+       </widget>
+      </item>
+      <item row="0" column="0" colspan="2" >
+       <widget class="QCheckBox" name="kvaFixT23" >
+        <property name="text" >
+         <string>Enable a workaround for T23</string>
+        </property>
+       </widget>
+      </item>
+     </layout>
+     </widget>
+   </item>
+   <item>
     <widget class="QGroupBox" name="groupBox_2">
      <property name="title">
       <string>Video</string>
@@ -301,6 +336,8 @@
   <tabstop>outputModule</tabstop>
   <tabstop>wallpaperMode</tabstop>
   <tabstop>dXdisplayDevice</tabstop>
+  <tabstop>kvaFixT23</tabstop>
+  <tabstop>kvaVideoMode</tabstop>
   <tabstop>deinterlaceBox</tabstop>
   <tabstop>deinterlaceModeBox</tabstop>
   <tabstop>arLine</tabstop>
-- 
1.7.3.2

